Get all events
curl --request GET \
--url https://api.zuddl.com/v1/events \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"next": "/{apiEndpoint}?page=3",
"current": "/{apiEndpoint}?page=2",
"previous": "/{apiEndpoint}?page=1"
},
"data": [
{
"kind": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Huddle with zuddl.",
"teamName": "General",
"description": "join us to learn more about zuddl.",
"identifier": "event-123",
"startDate": "2025-04-11T12:30:00Z",
"endDate": "2025-04-11T12:30:00Z",
"timezone": "UTC/IST",
"status": "UPCOMING/ONGOING",
"type": "WEBINAR/FIELD_EVENT/EVENT",
"eventFormat": "VIRTUAL/IN_PERSON/HYBRID",
"websiteUrl": "https://app.zuddl.com/org/event",
"parentEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"venue": "<string>",
"address": {
"address": "<string>",
"addressLine2": "<string>",
"city": "San Francisco",
"stateProvince": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"coordinates": {
"latitude": "24.4194509",
"longitude": "27.4194509"
},
"mapUrl": "https://www.google.com/maps/place/?q=place_id:ChIJ_Q8bfYdGXj4Rz1s_sFHJqcA"
},
"virtualEventUrl": "https://zuddl.com",
"createdAt": "2025-04-11T12:30:00Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2025-04-11T12:30:00Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "tag1",
"name": "Webinar",
"color": "#AAFFEE",
"categoryId": "category1",
"categoryName": "Event type",
"categoryColor": "#BBDDEE",
"lastAppliedAt": "2025-09-01T06:31:35.711971Z",
"usageCount": 2
},
{
"id": "tag2",
"name": "Field Event",
"color": "#BBFFEE"
}
]
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Events
Get all events
This endpoint returns the details of all events (all event types: webinar, field events, events) created by your Zuddl organization. You can use query parameters to filter and sort out the list, and pagination to show the list in an order.
Required API key scopes: READ
GET
/
v1
/
events
Get all events
Authorizations
Provide your API key secret in the Authorization header
Query Parameters
Filter query in format:
Available filters:
- teamName: operations [eq]
- endDate: operations [gt, lt, lte, between, gte, eq]
- location.address.stateProvince: operations [in, eq]
- type: operations [in, eq]
- tags.name: operations [in, eq]
- createdAt: operations [gt, lt, lte, between, gte, eq]
- createdBy: operations [in, eq]
- location.address.country: operations [in, eq]
- name: operations [like, not_like]
- parentEventId: operations [eq]
- eventFormat: operations [in, eq]
- startDate: operations [gt, lt, lte, between, gte, eq]
- status: operations [in, eq]
Sort query in format:
The following fields are sortable:
- createdAt
- endDate
- name
- startDate
- updatedAt
Page number (default: 1)
Page size (default: 10, max: 50)
Was this page helpful?
⌘I